Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jsf
Class StrutsNavigationHandler

    java.lang.Object
      javax.faces.application.NavigationHandler
          org.apache.struts2.jsf.StrutsNavigationHandler

    public class StrutsNavigationHandler

extends javax.faces.application.NavigationHandler

Overrides the JFS navigation by delegating the result to handling by the core result code lookup and execution. If a result cannot be found, the previous NavigationHandler is called.

Constructor Summary
`StrutsNavigationHandler(javax.faces.application.NavigationHandler handler)` Creates the handler

Method Summary
`void` | `handleNavigation(javax.faces.context.FacesContext facesContext, String fromAction, String outcome)` Stores any outcomes as the result code, failing over to the old NavigationHandler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsNavigationHandler

    public StrutsNavigationHandler(javax.faces.application.NavigationHandler handler)

  Creates the handler

  Parameters:
    `handler` - The old NavigationHandler to possibly delegate to

Method Detail

### handleNavigation

    public void handleNavigation(javax.faces.context.FacesContext facesContext,
                                 String fromAction,
                                 String outcome)

  Stores any outcomes as the result code, failing over to the old NavigationHandler

  Specified by:
    `handleNavigation` in class `javax.faces.application.NavigationHandler`
  Parameters:
    `facesContext` - The faces context
    `fromAction` - The action we are coming from
    `outcome` - The String return code

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.